Subject: Git ~unusable on slow lines :,'C

From: Marcel Partap <[email-masked]>
Date: Mon, 08 Oct 2012 20:27:54 +0200

Dear Git Devs,
I love GIT, but since a couple of months I'm on 3G and after my traffic
limit is transcended, things slow down to a feeble 8KiB/s. Juuuust like
back then - things moved somewhat slower. And I'm fine with that - as
long as things just keep moving.
Unfortunately, git does not scale down very well, so for ten more days I
will be unable to get the newest commits onto my machine. Which is very,
very sad :/
> git fetch --verbose --all 
> Fetching origin
> POST git-upload-pack (1023 bytes)
> POST git-upload-pack (gzip 1123 to 614 bytes)
> POST git-upload-pack (gzip 1973 to 1030 bytes)
> POST git-upload-pack (gzip 5173 to 2639 bytes)
> POST git-upload-pack (gzip 7978 to 4042 bytes)
> remote: Counting objects: 24504, done.
> remote: Compressing objects: 100% (10705/10705), done.
> error: RPC failed; result=56, HTTP code = 200iB | 10 KiB/s       
> fatal: The remote end hung up unexpectedly
> fatal: early EOF
> fatal: index-pack failed
> error: Could not fetch origin
Bam, the server kicked me off after taking to long to sync my copy.
Multiple potential points of action:
- git fetch should show the total amount of data it is about to transfer!
- when ab^H^Horting, the cursor should be moved down (tput cud1) to not
overwrite previous output
- would be nice to be able to tell git fetch to get the next chunk of
say 500 commits instead of trying to receive ALL commits, then b0rking
after umpteen percent on server timeout. Not?

#Regards!Marcel c: